gnutls_error_to_alert(3)

NAME
gnutls_error_to_alert - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_error_to_alert(int err, int * level);

ARGUMENTS

int err
    is a negative integer

int * level
    the alert level will be stored there

DESCRIPTION
Get an alert depending on the error code returned by a gnutls function. All alerts sent by this function should be considered fatal. The only exception is when err is GNUTLS_E_REHANDSHAKE, where a warning alert should be sent to the peer indicating that no renegotiation will be performed. If there is no mapping to a valid alert the alert to indicate internal error (GNUTLS_A_INTERNAL_ERROR) is returned.

RETURNS
the alert code to use for a particular error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/